io.undertow.util

## Class ChainedHandlerWrapper

- java.lang.Object
- - io.undertow.util.ChainedHandlerWrapper

All Implemented Interfaces:
  HandlerWrapper

    public class ChainedHandlerWrapper
    extends Object
    implements HandlerWrapper

Handler wrapper that chains several handler wrappers together.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ChainedHandlerWrapper(List<HandlerWrapper> handlers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpHandler` `wrap(HttpHandler handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChainedHandlerWrapper

    public ChainedHandlerWrapper(List<HandlerWrapper> handlers)

### Method Detail

#### wrap

    public HttpHandler wrap(HttpHandler handler)

Specified by:
  `wrap` in interface `HandlerWrapper`